Test Discord Embed
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/notifications/settings/{notificationId}/discord-embed/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"template": [],
"message": "<@&123> New order!"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/notifications/settings/{notificationId}/discord-embed/test"
payload = {
"template": [],
"message": "<@&123> New order!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({template: [], message: '<@&123> New order!'})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/notifications/settings/{notificationId}/discord-embed/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": false,
"status": 400,
"error": "Embed size exceeds maximum size of 6000"
}{
"message": "Set a Discord webhook URL for this notification first."
}Notifications
Test Discord Embed
Sends the notification’s embed with sample data to the stored Discord webhook. A template and message in the body are used instead of the stored ones, so unsaved drafts can be tested. Requires the Business plan or higher.
POST
/
v1
/
shops
/
{shopId}
/
notifications
/
settings
/
{notificationId}
/
discord-embed
/
test
Test Discord Embed
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The ID of the shop.
The notification ID from Get Notification Settings.
Body
application/json